#define VERSION "1.01"

#define CHAR_DIR      ".\\CHAR\\"
#define STAGE_DIR     ".\\STAGE\\"

#define CNF_FILENAME  "sel.rc"

#define CHAR_LST  CHAR_DIR"CHAR.LST"
#define STAGE_LST STAGE_DIR"STAGE.LST"

typedef struct {
	char name[24];			/* L̖O */
	char stage[24];			/* Xe[W */
	int appear;				/* o (0`100) */
	unsigned int time;		/* action.x ̎(\[gp) */
	char flag;				/* IptO */
} CHAR;

typedef struct {
	char name[24];
} STAGE;

/* ʃL[R[h */
#define ESC       (27)
#define RET       (13)
#define SPC       (32)
#define CTRL_N    (14)
#define CTRL_P    (16)

/* L[R[h */
#define ROLLUP    (0x100)
#define ROLLDOWN  (0x101)
#define UNDO      (0x102)
#define LEFT      (0x103)
#define UP        (0x104)
#define RIGHT     (0x105)
#define DOWN      (0x106)
#define HELP      (0x107)

#ifdef MAINPROG
CHAR *p;
STAGE *s;
int max,smax,waku;
#else
extern CHAR *p;
extern STAGE *s;
extern int max,smax,waku;
#endif

int count_char_number( void );
int count_stage_number( void );
void set_char( void );
void set_stage( void );
int exist_check_rcfile( void );
int data_load( void );
int lst_load( void );

void prints( int , int , char * );
void draw_window( int , int , int , int );
void setup_screen( void );
void initialize_screen( void );

void name_sort( void );
void appear_sort( void );
void time_sort( void );
void stage_sort( void );

void select( void );

void scroll_up( void );
void scroll_down( void );

int get_keycode( void );

void data_save( void );
void list_out( void );
