#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/dos.h>
#include "sel.h"

/* o^f[^Z[u */
void data_save()
{
	FILE *fp;
	char stage[32];
	int i;

	if ((fp = fopen(CNF_FILENAME,"w")) == NULL )
		return;

	for ( i = 0; i < max; i++ ) {
		if ( p[i].stage[0] == '\0' )
			strcpy(stage,"*");
		else
			strcpy(stage,p[i].stage);
		fprintf(fp,"%s %s %d\n",p[i].name,stage,p[i].appear);
	}

	fclose(fp);
}

/* 0%̃L͂łɑIς݃tO𗧂ĂĂ */
static void dispose_zero()
{
	int i;

	for ( i = 0; i < max; i++ ) {
		if ( p[i].appear == 0 )
			p[i].flag = 1;
	}
}

/* 100%̃L̐vZ */
static int calc_100_sum()
{
	int i,sum=0;

	for ( i = 0; i < max; i++ ) {
		if ( p[i].appear == 100 ) sum++;
	}

	return sum;
}

/* ^ꂽlǂ100%̃LĂ邩Ԃ */
static int codeto100char( int code )
{
	int i,sum=0;

	for ( i = 0; i < max; i++ ) {
		if ( p[i].appear == 100 && p[i].flag == 0 ) {
			if ( code == sum ) return i;
			sum++;
		}
	}

	return -1;
}

/* L[l̑avZ */
static int calc_sum()
{
	int i,sum=0;

	for ( i = 0; i < max; i++ ) {
		if ( p[i].flag == 0 ) sum += p[i].appear / 5;
	}

	return sum;
}

/* ^ꂽlǂ̃LĂ邩Ԃ */
static int codetochar( int code )
{
	int i,sum=0;

	for ( i = 0; i < max; i++ ) {
		if ( p[i].flag == 0 ) {
			sum += p[i].appear / 5;
			if ( code < sum ) return i;
		}
	}

	return -1;
}

/* oɃLN^ׂ */
void list_out()
{
	FILE *fp1,*fp2;
	int i,j,c1,c2,x=0,code,sum,*r;

	r = (int *)malloc(sizeof(int)*waku);

	/* 0%̃L͊SɎ̂Ă */
	dispose_zero();

	/* 100%̒烉_Ɏo */
	if ((sum = calc_100_sum()) == 0 ) goto NEXT;
	for ( i = sum; i > 0; i-- ) {
		if ((code = codeto100char(rand()%i)) < 0 ) {
			puts("΂Ȃ`");
			exit(1);
		}
		p[code].flag = 1;
		r[x++] = code;
		if ( x >= waku ) goto QUIT;
	}

	NEXT:;
	/* 10`90%̒烉_Ɏo */
	for ( i = x; i < waku; i++ ) {
		/* 0%̃LcĂȂȂ炻ł߂ */
		if ((sum = calc_sum()) == 0 ) goto QUIT;
		if ((code = codetochar(rand()%sum)) < 0 ) {
			puts("Ȃł`");
			exit(1);
		}
		p[code].flag = 1;
		r[x++] = code;
		if ( x >= waku ) goto QUIT;
	}

	QUIT:;
	/* r[x] Vbt */
	for ( i = 0; i < 2000; i++ ) {
		c1 = rand() % x;
		c2 = rand() % x;
		j = r[c1];
		r[c1] = r[c2];
		r[c2] = j;
	}

	fp1 = fopen(CHAR_LST,"w");
	fp2 = fopen(STAGE_LST,"w");
	for ( i = 0; i < x; i++ ) {
		fprintf(fp1,"%s\n",p[r[i]].name);
		if ( p[r[i]].stage[0] != '\0' )
			fprintf(fp2,"%s\n",p[r[i]].stage);
		else
			fprintf(fp2,"%s\n",s[rand()%(smax-1)+1].name);
	}
	fclose(fp1);
	fclose(fp2);
	free(r);
}
