#include <stdio.h>
#include <stdlib.h>
#include <sys/dos.h>
#include <sys/iocs.h>
#include "sel.h"

static int fnkmod;

void prints( int x , int y , char *mes )
{
	_iocs_b_locate(x,y);
	_iocs_b_print(mes);
	/*printf("\x1b[%d;%dH%s",y+1,x+1,mes); ESCV[PXx(;_;*/
}

/* g` */
void draw_window( int x0 , int y0 , int x1 , int y1 )
{
	int i;

	x0 *= 2;
	x1 *= 2;

	prints(x0,y0,""); prints(x1,y0,"");
	prints(x0,y1,""); prints(x1,y1,"");

	for ( i = x0+2; i < x1; i+=2 ) {
		prints(i,y0,"");
		prints(i,y1,"");
	}

	for ( i = y0+1; i < y1; i++ ) {
		prints(x0,i,"");
		prints(x1,i,"");
	}
}

void setup_screen()
{
	fnkmod = _dos_c_fnkmod(-1);
	_iocs_crtmod(16);
	_iocs_tpalet(1,_iocs_tpalet(3,-1));
	_dos_c_curoff();
}

void initialize_screen()
{
	_dos_c_fnkmod(fnkmod);
	_dos_c_curon();
	_iocs_crtmod(16);
	_iocs_tpalet(1,-2);
	_iocs_b_color(3);
}
