#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "sel.h"

static int name_compare( const void *data1 , const void *data2 )
{
	const CHAR *c1 = (const CHAR *)data1;
	const CHAR *c2 = (const CHAR *)data2;

	return strcmp(c1->name,c2->name);
}

static int appear_compare( const void *data1 , const void *data2 )
{
	const CHAR *c1 = (const CHAR *)data1;
	const CHAR *c2 = (const CHAR *)data2;

	if ( c1->appear > c2->appear ) return -1;
	if ( c1->appear < c2->appear ) return  1;
	return strcmp(c1->name,c2->name);
}

static int time_compare( const void *data1 , const void *data2 )
{
	const CHAR *c1 = (const CHAR *)data1;
	const CHAR *c2 = (const CHAR *)data2;

	if ( c1->time > c2->time ) return -1;
	if ( c1->time < c2->time ) return  1;
	return strcmp(c1->name,c2->name);
}

void name_sort()
{
	qsort(p,max,sizeof(CHAR),name_compare);
}

void appear_sort()
{
	qsort(p,max,sizeof(CHAR),appear_compare);
}

void time_sort()
{
	qsort(p,max,sizeof(CHAR),time_compare);
}

void stage_sort()
{
	qsort(s,smax,sizeof(STAGE),name_compare);
}

